> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subtotal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Retailers

> Get configured retailers



## OpenAPI

````yaml get /retailers
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /retailers:
    get:
      tags:
        - merchant
      summary: Get Retailers
      description: Get configured retailers
      operationId: get_retailers_retailers_get
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRetailersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetRetailersResponse:
      properties:
        retailers:
          items:
            $ref: '#/components/schemas/ConfiguredRetailerResponse'
          type: array
          title: Retailers
          default: []
      type: object
      title: GetRetailersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConfiguredRetailerResponse:
      properties:
        retailer_id:
          type: string
          title: Retailer Id
          description: Identifier for the retailer
          examples:
            - walmart
        name:
          type: string
          title: Name
          description: Name of the retailer
          examples:
            - Walmart
        images:
          $ref: '#/components/schemas/ImagesResponse'
          description: Logos and icons for the retailer
          examples:
            - icon:
                dark: https://cdn.subtotal.com/subtotal-link/default.svg
                light: https://cdn.subtotal.com/subtotal-link/default.svg
              logo:
                dark: https://cdn.subtotal.com/subtotal-link/default.svg
                light: https://cdn.subtotal.com/subtotal-link/default.svg
        link_url:
          type: string
          title: Link Url
          description: >-
            URL to launch Subtotal Link for the retailer. This is the URL that
            may be presented to end users when prompting them to link their
            account.
          examples:
            - https://link.subtotal.com/a1b2c3d4
      type: object
      required:
        - retailer_id
        - name
        - images
        - link_url
      title: ConfiguredRetailerResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ImagesResponse:
      properties:
        logo:
          $ref: '#/components/schemas/ImageThemes'
        icon:
          $ref: '#/components/schemas/ImageThemes'
      type: object
      required:
        - logo
        - icon
      title: ImagesResponse
    ImageThemes:
      properties:
        light:
          type: string
          title: Light
        dark:
          type: string
          title: Dark
      type: object
      required:
        - light
        - dark
      title: ImageThemes

````